Bug 875889 - CVE-2012-4417 GlusterFS: insecure temporary file creation [epel-all]
CVE-2012-4417 GlusterFS: insecure temporary file creation [epel-all]
Status: CLOSED UPSTREAM
Product: Fedora EPEL
Classification: Fedora
Component: glusterfs (Show other bugs)
el6
All Linux
low Severity low
: ---
: ---
Assigned To: Niels de Vos
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-4417
  Show dependency treegraph
 
Reported: 2012-11-12 13:36 EST by Jan Lieskovsky
Modified: 2013-10-27 07:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-27 07:57:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-11-12 13:36:42 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2012-11-12 13:36:53 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=856341,875889
Comment 2 Niels de Vos 2013-06-27 08:42:10 EDT
Upstream fixes (from Bug 856341):

> commit 3d10587d9d6400c9141b1f278bb5e2027fa784b8 (http://review.gluster.org/4042)
> and
> commit 56d1f81949fde78615cd9fec048259d261f99c40 (http://review.gluster.org/4091)
> 
> are done upstream to handle it.

This will be fixed automatically with the update to GlusterFS 3.4.
Comment 3 Niels de Vos 2013-10-27 07:57:26 EDT
EPEL will not be updated to glusterfs-3.4 due to conflicts it will introduce in RHEL. The glusterfs package has been orphaned in EPEL now, the suggestion is to use the community packages from http://download.gluster.org/pub/gluster/glusterfs/LATEST/RHEL/.

Note You need to log in before you can comment on or make changes to this bug.